osl::misc::LightScopedLock< Mutex > Class Template Reference

`#include <lightMutex.h>`

## Public Member Functions

| LightScopedLock (Mutex &m)
| ~LightScopedLock ()

## Private Member Functions

| LightScopedLock (const LightScopedLock &)=delete
LightScopedLock & | operator= (const LightScopedLock &)=delete

## Private Attributes

Mutex & | m

## Detailed Description

template<class Mutex>
class osl::misc::LightScopedLock< Mutex >

Definition at line 22 of file lightMutex.h.

## Constructor & Destructor Documentation

## LightScopedLock() [1/2]

template<class Mutex>

osl::misc::LightScopedLock< Mutex >::LightScopedLock | ( | const LightScopedLock< Mutex > & |  | ) |

private delete

## LightScopedLock() [2/2]

template<class Mutex>

osl::misc::LightScopedLock< Mutex >::LightScopedLock | ( | Mutex & | m | ) |

inline

Definition at line 41 of file lightMutex.h.

## ~LightScopedLock()

template<class Mutex>

osl::misc::LightScopedLock< Mutex >::~LightScopedLock | ( |  | ) |

inline

Definition at line 45 of file lightMutex.h.

## Member Function Documentation

## operator=()

template<class Mutex>

LightScopedLock & osl::misc::LightScopedLock< Mutex >::operator= | ( | const LightScopedLock< Mutex > & |  | ) |

private delete

## Member Data Documentation

## m

template<class Mutex>

Mutex& osl::misc::LightScopedLock< Mutex >::m

private

Definition at line 26 of file lightMutex.h.

The documentation for this class was generated from the following file:

- lightMutex.h